Package ru.bitel.bgbilling.modules.voice.common.bean

# Class VoiceError

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.voice.common.bean.VoiceError

All Implemented Interfaces:
  `Serializable`, `Idable`

public class VoiceError extends Id

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VoiceError()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getAccountId()`
  `String`
  `getAccountTitle()`
  `int`
  `getCode()`
  `String`
  `getContractTitle()`
  `int`
  `getDeviceId()`
  `long`
  `getDuration()`
  `String`
  `getErrorText()`
  `String`
  `getFromPort()`
  `Date`
  `getHour()`
  `String`
  `getPhoneFrom()`
  `String`
  `getPhoneTo()`
  `Date`
  `getSessionStart()`
  `String`
  `getToPort()`
  `VoiceError`
  `setAccountId(int accountId)`
  `VoiceError`
  `setAccountTitle(String accountTitle)`
  `VoiceError`
  `setCode(int code)`
  `void`
  `setContractTitle(String contractTitle)`
  `VoiceError`
  `setDeviceId(int deviceId)`
  `VoiceError`
  `setDuration(long duration)`
  `void`
  `setErrorText(String errorText)`
  `VoiceError`
  `setFromPort(String fromPort)`
  `VoiceError`
  `setHour(Date hour)`
  `VoiceError`
  `setPhoneFrom(String phoneFrom)`
  `VoiceError`
  `setPhoneTo(String phoneTo)`
  `VoiceError`
  `setSessionStart(Date sessionStart)`
  `VoiceError`
  `setToPort(String toPort)`
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### VoiceError

    public VoiceError()

- ## Method Details

  - ### getPhoneFrom

    public String getPhoneFrom()

  - ### setPhoneFrom

    public VoiceError setPhoneFrom(String phoneFrom)

  - ### getPhoneTo

    public String getPhoneTo()

  - ### setPhoneTo

    public VoiceError setPhoneTo(String phoneTo)

  - ### getErrorText

    public String getErrorText()

  - ### setErrorText

    public void setErrorText(String errorText)

  - ### getContractTitle

    public String getContractTitle()

  - ### setContractTitle

    public void setContractTitle(String contractTitle)

  - ### getAccountTitle

    public String getAccountTitle()

  - ### setAccountTitle

    public VoiceError setAccountTitle(String accountTitle)

  - ### getAccountId

    public int getAccountId()

  - ### setAccountId

    public VoiceError setAccountId(int accountId)

  - ### getHour

    public Date getHour()

  - ### setHour

    public VoiceError setHour(Date hour)

  - ### getCode

    public int getCode()

  - ### setCode

    public VoiceError setCode(int code)

  - ### getSessionStart

    public Date getSessionStart()

  - ### setSessionStart

    public VoiceError setSessionStart(Date sessionStart)

  - ### getDeviceId

    public int getDeviceId()

  - ### setDeviceId

    public VoiceError setDeviceId(int deviceId)

  - ### getFromPort

    public String getFromPort()

  - ### setFromPort

    public VoiceError setFromPort(String fromPort)

  - ### getToPort

    public String getToPort()

  - ### setToPort

    public VoiceError setToPort(String toPort)

  - ### getDuration

    public long getDuration()

  - ### setDuration

    public VoiceError setDuration(long duration)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Id`